<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.stm.wb.emp.mapper.WbEmpMapper">

    <select id="queryall" resultType="org.jeecg.modules.stm.wb.emp.entity.WbEmp">

        select distinct t.org_name,t.org_code from wb_emp t
        order by t.org_name
    </select>


    <update id="updateempout" parameterType="org.jeecg.modules.stm.wb.emp.entity.WbEmp" >
        UPDATE wb_emp
        SET
        <if test="outDay != null and outDay != ''">
            out_day = #{outDay},
        </if>
        <if test="remark != null and remark != ''">
            remark = #{remark},
        </if>
        <if test="postStatus != null and postStatus != ''">
            post_status = #{postStatus}
        </if>

        WHERE work_no = #{workNo}
    </update>

</mapper>